#!/bin/sh
GET_FILE_CNT=${1}

#cd /var/log
LOGMONITOR_CONFIG="/opt/hitachi/miacat/MainteData/smal2.conf"

FILELIST=
SYSLOG_FILE_NAME="/var/log/messages"

if [ -f ${LOGMONITOR_CONFIG} ]; then
	SYSLOG_FILE=`cat ${LOGMONITOR_CONFIG} | sed -n '/^\[SOFTWARE.Hitachi.miacat.Maintenance Agent Service.LogWatch\]/,/^\[/p' | grep "^MessagesFileName=" | cut -d= -f2`
	if [ -n "${SYSLOG_FILE}" ]; then
		if [ -f "${SYSLOG_FILE}" ]; then
			SYSLOG_FILE_NAME=${SYSLOG_FILE}
		fi
	fi
fi

for SYSLOGFILE in `ls -tr ${SYSLOG_FILE_NAME}* | tail -n ${GET_FILE_CNT}`
do
	FILELIST="${FILELIST} ${SYSLOGFILE}"
	if [ "${SYSLOGFILE##*.}" = "gz" ]; then
		zcat ${SYSLOGFILE}
	else
		cat ${SYSLOGFILE}
	fi
done
echo "******************** END OF SYSLOG ********************"
if [ -n "${FILELIST}" ]; then
	ls -ltr ${FILELIST}
fi
echo "******************** END OF FILE ********************"
